//package poo.buscadores;

//import java.io.Console;
import java.io.*;
//import java.io.Clase;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * clase que implementa  metodos de Buscador y relaiza un busqueda lineal.
 * @param obj El objeto que se desea buscar en el arreglo de objetos A.
 */
public class LinearSearcher extends Buscador{

	
	public int buscar(Object[] A, Object obj) {
		int retorno = NOT_FOUND;

		for(int i = 0; i < A.length; i++){
			num_comparaciones++;
			if(A[i].equals(obj)){
				retorno = i;
				break;
			}
		}

		return retorno;
	}
	/**
	* Metodo heredado de Buscador. 
	*/
	public int getNumComparaciones() {
		return num_comparaciones;
	}
	
	/**
	 * 
	 */
	public String toString() {
		return "LINEAR SEARCHER";
	}
	

	private int num_comparaciones = 0;
	private static final int NOT_FOUND = -1;
	

}
